#!/bin/sh

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control-adapter.sh [PV_PREFIX [DEVICE_NAME]]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "x7idb:")'
  echo '  DEVICE_NAME  Oxford D. IC Plus Quad device name (default: "Bpm3")'
  echo 'Example: control.sh'
  echo 'Example: control.sh ioc23: Bpm4'
  exit 0
fi

pvPrefix=x7idb:
if [ "X$1" != 'X' ]; then pvPrefix="$1"; fi
deviceName=Bpm3
if [ "X$2" != 'X' ]; then deviceName="$2"; fi

odicpqAdlDir=''
read -p 'Enter oxford-ic-plus-quad ADL directory: ' odicpqAdlDir
if [ "X$odicpqAdlDir" = 'X' ]; then
  echo 'No directory specified' 1>&2
  exit 1
fi
if [ ! -d "$odicpqAdlDir" ]; then
  echo 'Specified directory is not a directory or does not exist' 1>&2
  exit 1
fi

cd "$odicpqAdlDir"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$odicpqAdlDir\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=$pvPrefix,D=$deviceName" ./od-ic-plus-quad.adl
